## ngcp-system-tools 13.5.1.1+0~mr13.5.1.1

=== debian/changelog ===
ngcp-system-tools (13.5.1.1+0~mr13.5.1.1) unstable; urgency=medium

  [ Jose Su ]
  * [7c1aa05] MT#63415 Include ngcp-coredump-analyzer in /usr/sbin
  * [bbc096f] MT#63504 Increase ngcp-crm-helper timeout

  [ Guillem Jover ]
  * [e3f7357] MT#62763 ngcp-check-active: Fix shellcheck issues
  * [6461a0a] MT#63599 Do not use «grep -q» for crm_mon pipes

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 02 Oct 2025 10:55:34 +0200

ngcp-system-tools (13.5.1.0+0~mr13.5.1.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [3bc4008] MT#62899 Update packaging for Debian trixie
  * [9f5e00c] MT#63045 Fix pycodestyle issues

  [ Volodymyr Fedorov ]
  * [10a2fb1] MT#63048 Fix invalid read syntax in ngcp-update prompt

  [ Michael Prokop ]
  * [f326c34] MT#63080 ngcp-reset-db: load provisioning schema before billing schema
  * [c00f7a0] MT#63113 ngcp-update: fix partition + kernel version handling
  * [9f2aeb4] MT#63180 New helper script ngcp-kernel-helper

  [ Kirill Solomko ]
  * [0c4b8ff] MT#63436 ngcp-check-rev-applied add site_id column support

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:47:41 +0200

ngcp-system-tools (13.5.0.0+0~mr13.5.0.0) unstable; urgency=medium

  [ Mykola Malkov ]
  * [4e286e6] MT#62818 Add special handling for kernel upgrade

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 20 Jun 2025 10:46:40 +0200

ngcp-system-tools (13.4.0.0+0~mr13.4.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [fa0f421] MT#61913 Remove supervisord support

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Apr 2025 08:31:55 +0200

ngcp-system-tools (13.3.0.0+0~mr13.3.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [400ce1f] MT#61751 Install io-scheduler.service in /usr

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 28 Jan 2025 15:17:08 +0100

ngcp-system-tools (13.2.0.0+0~mr13.2.0.0) unstable; urgency=medium

  [ Giancarlo Errigo Mattos ]
  * [ed07961] MT#61134 Create codec id to name mapping script
  * [63d0c66] MT#61386 Automatic conflict resolution on ngcp-migrate-codecs
  * [7b7da4f] MT#61193 Migrate subscriber sound sets
  * [a2886ce] MT#61259 Migrate allowed ips

  [ Mykola Malkov ]
  * [fd72ee5] MT#61270 Add bookworm-security-debug repo

  [ Michael Prokop ]
  * [dc2f41e] MT#61302 Ensure to have fence-agents-common available on trixie

  [ Guillem Jover ]
  * [bd818c9] MT#61459 Do not use Perl indirect object syntax

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 09 Dec 2024 11:29:23 +0100

ngcp-system-tools (13.1.0.0+0~mr13.1.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [d7f726a] MT#59727 NGCP::Daemon: Do not recreate the log object in init()
  * [ce64818] MT#60652 ngcp-parallel-ssh: Abort on disruptive actions when acting on nodes
  * [e3c010f] MT#61142 NGCP::Daemon: Fix documentation for shutdown() method
  * [4356e64] MT#61142 NGCP::Daemon: Do not destruct the object automatically

  [ Richard Fuchs ]
  * [bf5a8bd] MT#60741 ngcp-location-sync: reformat with black
  * [4b77341] MT#60741 ngcp-location-sync: add file close
  * [eda45f7] MT#60741 ngcp-location-sync: remove EXISTS check
  * [ad0aee9] MT#60741 ngcp-location-sync: remove SISMEMBER check
  * [d8375e7] MT#60741 ngcp-location-sync: move eval into def
  * [8cb8b3d] MT#60741 ngcp-location-sync: generalise
  * [2c7de36] MT#60741 ngcp-location-sync: support table version
  * [2d574fd] MT#60741 ngcp-location-sync: support all SETs
  * [e15313f] MT#60741 ngcp-location-sync: switch to EVALSHA
  * [f7a6552] MT#55283 add ngcp-iptables-apply wrapper

  [ Michael Prokop ]
  * [dc425ad] MT#60916 lintian: ignore service-file-is-not-a-file for io-scheduler.service

  [ Mykola Malkov ]
  * [553a226] MT#60790 Download upgrade files in cache update
  * [03a7ff9] MT#60790 Change ownership of upgrade files

  [ Jose Su ]
  * [52cc293] MT#56560 Improve ngcp-active-calls script

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 01 Oct 2024 10:02:34 +0200

ngcp-system-tools (13.0.0.0+0~mr13.0.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [b75898f] MT#60097 Remove no longer needed code for lingering pacemaker constraints
  * [561c51d] MT#60098 ngcp-nodename: Remove support for obsolete ngcp_ha_node file
  * [e30d92a] MT#40865 ngcp-check-ssh-keys: New script to check issues in SSH keys
  * [26f6079] MT#60097 ngcp-ha-show-failcounts: Fix parsing for bookworm crm
  * [975fb5e] MT#60310 ngcp-service: Improve error message on missing action arguments
  * [859b84c] MT#58844 Add new scripts to handle SNMP v3 credentials

  [ Kirill Solomko ]
  * [60e7f3a] MT#60362 fix multi-master slave setup on pair node
  * [fa7b046] MT#60539 ngcp-sync-db sync procedures and functions

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 28 Jul 2024 12:04:54 +0200

ngcp-system-tools (12.5.0.0+0~mr12.5.0.0) unstable; urgency=medium

  [ Mykola Malkov ]
  * [25cca52] MT#59780 Add cleanup of old kernel packages

  [ Michael Prokop ]
  * [fc99efa] MT#59866 ngcp-approx-cache: check expected Debian repository URLs

  [ Guillem Jover ]
  * [22855b3] MT#59859 Discontinue Rainbow platform merging into NGCP

  [ Kirill Solomko ]
  * [9b20748] MT#59614 ngcp-check-rev-applied add db_schema.release support
  * [a0f21a3] MT#59614 ngcp-check-rev-applied check for release column
  * [c59e3be] MT#59999 ngcp-sync-db-wrapper does not support geo cluster

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 May 2024 14:33:49 +0200

ngcp-system-tools (12.4.0.0+0~mr12.4.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [f9f6217] MT#59235 ngcp-reset-db: add proper options handler
  * [0ecd8db] MT#59235 test/ngcp-reset-db fix duplicated test name

  [ Kirill Solomko ]
  * [8cbe339] MT#59263 ngcp-reset-db skip foreign key checks

  [ Richard Fuchs ]
  * [a40f331] MT#59300 ngcp-usr-location: fix stray error case

  [ Marco Capetta ]
  * [90aee3c] MT#58564 Restore verbose mode for ngcp-usr-location --all

  [ Mykola Malkov ]
  * [fa11e88] MT#59386 Use sql schema dump files

