=== debian/control ===
Source: ngcp-system-tools
Section: utils
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Build-Depends:
 bash-completion (>= 1:2.1-4.2~),
 debhelper-compat (= 13),
 dh-python,
 libcapture-tiny-perl,
 libconfig-tiny-perl,
 libcrypt-eksblowfish-perl,
 libdata-entropy-perl,
 libdbd-mysql-perl,
 libdbd-sqlite3-perl,
 libdbi-perl,
 libipc-system-simple-perl,
 libjson-perl,
 libreadonly-perl,
 libredis-perl,
 libtemplate-perl,
 libterm-readkey-perl,
 libtext-csv-perl,
 libtext-table-perl,
 libxmlrpc-lite-perl,
 libyaml-libyaml-perl,
 python3-mysqldb,
 python3-pymysql,
 python3-yaml,
 python3:any,
Standards-Version: 4.7.2
Homepage: https://www.sipwise.com/

Package: libngcp-log-perl
Section: perl
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
Description: NGCP Log perl modules
 This package provides the NGCP::Log perl modules, to handle program and
 daemon logging.

Package: libngcp-config-perl
Section: perl
Architecture: all
Depends:
 libngcp-log-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: NGCP Config perl modules
 This package provides the NGCP::Config perl modules, to handle configuration
 file parsing.

Package: libngcp-daemon-perl
Section: perl
Architecture: all
Depends:
 libngcp-log-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: NGCP Daemon perl modules
 This package provides the NGCP::Daemon perl modules, to handle daemon
 initialization and support.

Package: libngcp-service-perl
Section: perl
Architecture: all
Depends:
 libngcp-log-perl,
 libyaml-libyaml-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: NGCP Service perl modules
 This package provides the NGCP::Service perl modules, to handle service
 definitions, and their conditions.

Package: ngcp-system-tools-ce
Architecture: any
Depends:
 curl,
 default-mysql-client,
 jq,
 libcapture-tiny-perl,
 libconfig-tiny-perl,
 libcrypt-eksblowfish-perl,
 libdata-entropy-perl,
 libdbd-mysql-perl,
 libdbd-sqlite3-perl,
 libdbi-perl,
 libipc-system-simple-perl,
 libjson-perl,
 libngcp-log-perl,
 libngcp-service-perl,
 libreadonly-perl,
 libredis-perl,
 libtext-csv-perl,
 libtext-table-perl,
 libxmlrpc-lite-perl,
 libyaml-libyaml-perl,
 python3,
 python3-mysqldb,
 python3-pymysql,
 python3-pytimeparse,
 python3-redis,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Provides:
 ngcp-system-tools,
Conflicts:
 ngcp-system-tools,
Replaces:
 ngcp-system-tools,
Description: system tools for NGCP sip:provider CE
 Some system scripts for NGCP.

Package: ngcp-system-tools-pro
Architecture: any
Depends:
 corosync,
 crmsh,
 curl,
 default-mysql-client,
 fence-agents-common | fence-agents,
 jq,
 libcapture-tiny-perl,
 libconfig-tiny-perl,
 libcrypt-eksblowfish-perl,
 libdata-entropy-perl,
 libdbd-mysql-perl,
 libdbd-sqlite3-perl,
 libdbi-perl,
 libipc-system-simple-perl,
 libjson-perl,
 libngcp-log-perl,
 libngcp-service-perl,
 libreadonly-perl,
 libredis-perl,
 libterm-readkey-perl,
 libtext-csv-perl,
 libtext-table-perl,
 libxmlrpc-lite-perl,
 libyaml-libyaml-perl,
 openipmi,
 pacemaker,
 python3,
 python3-click,
 python3-mysqldb,
 python3-pymysql,
 python3-pytimeparse,
 python3-redis,
 python3-yaml,
 xz-utils,
 zutils,
 ${misc:Depends},
 ${perl:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Conflicts:
 ngcp-system-tools,
Provides:
 ngcp-system-tools,
Replaces:
 ngcp-system-tools,
Description: system tools for NGCP sip:provider PRO
 Some system scripts for NGCP.

Package: ngcp-dev-tools
Section: devel
Architecture: all
Depends:
 curl,
 sudo,
 ${misc:Depends},
Description: devel tools for NGCP
 Some development scripts for NGCP.
