## ngcp-system-tools 13.5.1.2+0~mr13.5.1.2

=== debian/changelog ===
ngcp-system-tools (13.5.1.2+0~mr13.5.1.2) unstable; urgency=medium

  [ Guillem Jover ]
  * [923a095] MT#63504 Rework HA switchover scripts to reduce amount of commands used

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 08 Oct 2025 16:40:21 +0200
