## ngcp-system-tools 14.0.1.1+0~mr14.0.1.1

=== debian/changelog ===
ngcp-system-tools (14.0.1.1+0~mr14.0.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 09 Dec 2025 15:34:01 +0100

ngcp-system-tools (14.0.1.0+0~mr14.0.1.0) unstable; urgency=medium

  [ Jose Su ]
  * [f4c914a] MT#63415 Add ngcp-coredump-analyzer script
  * [f24a69c] MT#63415 Include ngcp-coredump-analyzer in /usr/sbin
  * [13ad716] MT#63504 Increase ngcp-crm-helper timeout
  * [278bb78] MT#62271 Remove ngcp-bcrypt-webpassword script

  [ Guillem Jover ]
  * [3178cc4] MT#62763 ngcp-check-active: Fix shellcheck issues
  * [57e3602] MT#63599 Do not use «grep -q» for crm_mon pipes
  * [39175ff] MT#63504 Rework HA switchover scripts to reduce amount of commands used
  * [1e8564f] MT#62763 Fix supervised execution
  * [fe355c9] MT#62763 ngcp-approx-cache: Remove no longer used download_urls function
  * [77815e2] MT#62763 ngcp-logs: Use log_folder instead of non-existent log_folder_log
  * [6698734] MT#62763 Fix shellcheck issues
  * [adef8b6] TT#64369 NGCP::Service::Meta: Add maintenance knob support
  * [14361e5] TT#64369 Do not restart HA managing services during maintenance mode

  [ Richard Fuchs ]
  * [89fcbad] MT#63791 log error to stderr

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Nov 2025 16:58:53 +0100

ngcp-system-tools (14.0.0.0+0~mr14.0.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [3bc4008] MT#62899 Update packaging for Debian trixie
  * [9f5e00c] MT#63045 Fix pycodestyle issues

  [ Volodymyr Fedorov ]
  * [10a2fb1] MT#63048 Fix invalid read syntax in ngcp-update prompt

  [ Michael Prokop ]
  * [f326c34] MT#63080 ngcp-reset-db: load provisioning schema before billing schema
  * [c00f7a0] MT#63113 ngcp-update: fix partition + kernel version handling
  * [9f2aeb4] MT#63180 New helper script ngcp-kernel-helper

  [ Kirill Solomko ]
  * [0c4b8ff] MT#63436 ngcp-check-rev-applied add site_id column support

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:47:42 +0200
