=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Maintainer: Sipwise Development Team <support@sipwise.com>
 Build-Depends:
  bash-completion (>= 1:2.1-4.2~),
+ dctrl-tools,
  debhelper-compat (= 13),
  dh-python,
+ elfutils,
  libcapture-tiny-perl,
  libconfig-tiny-perl,
  libcrypt-eksblowfish-perl,
