## ngcp-system-tools 14.0.1.3+0~mr14.0.1.3

=== debian/changelog ===
ngcp-system-tools (14.0.1.3+0~mr14.0.1.3) unstable; urgency=medium

  [ Jose Su ]
  * [57ddb93] MT#64210 Fix partition in grub after kernel update via ngcp-update

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 09 Jan 2026 09:40:46 +0100

ngcp-system-tools (14.0.1.2+0~mr14.0.1.2) unstable; urgency=medium

  [ Fedorov Volodymyr ]
  * [b10ea2c] MT#64186 Fix array splitting issue in Redis parsing.

  [ Guillem Jover ]
  * [5ffe586] MT#64186 Fix shellcheck fix regressions

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 30 Dec 2025 01:01:26 +0100
