=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with bash-completion,python3

override_dh_auto_test:
	dh_testdir
	$(MAKE) syntaxcheck

execute_after_dh_fixperms:
	chmod u+s debian/ngcp-system-tools-ce/usr/bin/ngcp-chroot-shell
	chmod u+s debian/ngcp-system-tools-pro/usr/bin/ngcp-chroot-shell

override_dh_installsystemd:
	dh_installsystemd --package=ngcp-system-tools-pro --name=ngcp-io-scheduler
	dh_installsystemd --package=ngcp-system-tools-ce  --name=ngcp-io-scheduler
	dh_installsystemd --package=ngcp-system-tools-ce  --name=ngcp-eaddress
	dh_installsystemd --package=ngcp-system-tools-pro --name=ngcp-initialize-udev-rules-net
	dh_installsystemd --package=ngcp-system-tools-ce  --name=ngcp-initialize-udev-rules-net
